Subject: [spfbis] SPDF Domain Name Syntax

From: Tobias Perschon <[email-masked]>
Date: Mon, 2 May 2016 18:55:37 +0000

Dear Sir or Madam,

I have a question regarding RFC 7208. Is a domain name e.g. for an "a:" directive supposed to be a FQDN; more precisely: can a domain name contain a trailing dot?
e.g.: should this be able to be handled by any software that implements spf:
v=spf1 a:domain.com. ~all

Postfix for example has no problems with an domain name with trailing dot but I have found a software "mdeamon" which cannot perform a dns lookup if the domain name is a FQDN (with trailing dot). I wrote the developers but they say, they think it's not a bug in their software because "all of the pages about SPF, don't talk about domains with trailing dot" and the RFC does not make it explicit if a FQDN is acceptable.

I hope you can clarify.

Kind regards,
--
Tobias Perschon
Bitconnect EDV/IT Dienstleistungen & Handel e.U.
--
https://www.bitconnect.at
[email-masked]<mailto:[email-masked]>
+43 (0) 699 10 86 75 17
--
This e-mail may contain confidential and/or privileged information. If you are not
the intended recipient (or have received this e-mail in error) please notify the sender
and destroy this e-mail. Any unauthorised copying, disclosure or distribution of the
material in this e-mail is strictly forbidden.

---

From: Mark Andrews <[email-masked]>
Date: Tue, 03 May 2016 12:39:38 +1000

In message <[email-masked]>, Tobias Perschon writes:
> Dear Sir or Madam,
>
> I have a question regarding RFC 7208. Is a domain name e.g. for an "a:"
> directive supposed to be a FQDN; more precisely: can a domain name
> contain a trailing dot?
> Postfix for example has no problems with an domain name with trailing dot
> but I have found a software "mdeamon" which cannot perform a dns lookup
> if the domain name is a FQDN (with trailing dot). I wrote the developers
> but they say, they think it's not a bug in their software because "all of
> the pages about SPF, don't talk about domains with trailing dot" and the
> RFC does not make it explicit if a FQDN is acceptable.

Postfix is being liberal in what it accepts.  It should already be
treating names in SPF records as absolute (like all names in DNS
records).

Appending periods is a local convention to prevent suffixes being
appended be they search lists or current origin in master files (
which doesn't apply the the contents of TXT (SPF) records).

Mark

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 May 2016 23:44:55 -0700

Hi Tobias,
At 11:55 02-05-2016, Tobias Perschon wrote:
>I have a question regarding RFC 7208. Is a domain name e.g. for an 
>"a:" directive supposed to be a FQDN; more precisely: can a domain 
>name contain a trailing dot?
>Postfix for example has no problems with an domain name with 
>trailing dot but I have found a software "mdeamon" which cannot 
>perform a dns lookup if the domain name is a FQDN (with trailing 
>dot). I wrote the developers but they say, they think it's not a bug 
>in their software because "all of the pages about SPF, don't talk 
>about domains with trailing dot" and the RFC does not make it 
>explicit if a FQDN is acceptable.

Section 4.8 of RFC 7208 discusses about "domain-spec".  The issue is 
whether the software implements RFC 7208 and, if so, whether it 
adheres to the ABNF defined in RFC 7208.  The software should be able 
to handle the above-mentioned example.

Regards,
S. Moonesamy